Vladan Popovic

+381 62 1436099

vladanovic@gmail.com

28.06.2023

\

Dear _________,

I'm Vladan, a software developer and systems engineer with ~20 years of
professional experience spanning in multiple fields, from web development to
systems adminstrator / devops to SRE.

I'm really excited to apply for a Rust developer role at _________. I
understand I might be lacking professional Rust experience, but I really like
the language and ecosystem that I truly believe I'll make good pretty quickly.
I have experience writing some services in Rust, like a [**Git frontend (JSON API
+ SPA) I made for an ActivityPub federated selfhosted
forge**](https://git.vp.mk/ui/git-social.git/master/about) which unfortunately
never saw the light of day due to the highly experimental libraries I used
([**tide**](https://github.com/http-rs/tide) on the backend +
[**seed**](https://github.com/seed-rs/seed) for the SPA app), but of course the
main issues being lack of time and energy. I'm eager to return to it at some
point though, started rewriting it in
[**Axum**](https://gitea.vp.mk/git-social/git-social-server) and feel pretty
enthusiastic again.

Another Rust project I have contributed to is a [**lock free SPMC
queue**](https://github.com/filipdulic/bus-queue) that me and a friend used to
produce a high bandwith FOREX streaming service (~500 messages/sec to 10K
consumers is what we've measured at most on our laptops). Although my
participation in the code wasn't as large as my friend's, I heavily
participated in the design phase, had daily pair-programming sessions and made
a lot of contributions in the server streaming the data, rather than the
bus-queue itself.

In my free time this year I started working on a personal e-bike tracker device
based on esp32 and a sim800l GSM modem. The code can be found
[**here**](https://gitea.vp.mk/e-bike-tracker/). It's not something I'm extremely
proud of, but it's my first ever embedded project and I value it as a learning
experience.

Postgres is the RDBMS I have the most experience with. I used to manage a
relatively big number of Postgres clusters at my previous work, debugged
version migration failures on weekly level and monitored, fixed backup/
out-of-sync and similar issues on daily level, plugin failures during version
upgrades, etc.

I'm also a huge free and opensource software enthusiast, an honorary member of
Macedonia's Free Software NGO and a member of Belgrade's first hackerspace
where I used to promote free and opensource software, teach python, git, web
technologies, linux, system administration, etc.

Wish you all the best,

Vladan
